<template>
  <BaseTable
    showIndex
    tableName="PDT_INFO_LYRIC"
    ref="tableRef"
    :params="params"
    :api="queryProjectMemberApi"
  >
  </BaseTable>
</template>

<script lang="ts" setup>
import { computed, watch } from 'vue';
import BaseTable from '@/components/common/table/baseTable.vue';
import { queryProjectMemberApi } from '@/api/project/node';

const props = defineProps({
  nodeId: {
    type: String,
    default: '',
  },
});

const params = computed(() => {
  return {
    projectId: props.nodeId,
  };
});

watch(
  () => props.nodeId,
  () => {},
  { immediate: true }
);
</script>

<style scoped></style>
